Skip to main content
PATCH
Patch invoice

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business to update the invoice for.

invoiceId
string
required

The UUID of the invoice to update.

Body

application/json

Parameters for partially updating an invoice. All fields are optional. Provide at least one field.

external_id
string | null

External ID for the invoice within your platform. Idempotency key.

Example:

"019234"

sent_at
string

When the invoice was sent by the business to the recipient. Accepts an ISO 8601 date (YYYY-MM-DD) or a full ISO 8601 timestamp. A date-only value is stored as midnight Eastern Time on that day.

Example:

"2024-04-02"

due_at
string | null

When the invoice is due. Accepts an ISO 8601 date (YYYY-MM-DD) or a full ISO 8601 timestamp. A date-only value is stored as midnight Eastern Time on that day.

Example:

"2024-05-02"

invoice_number
string

Number for the invoice for display to end-users.

Example:

"1"

customer_id
string<uuid>

ID of the customer to associate with the invoice.

customer_external_id
string | null

External ID of the customer to associate with the invoice.

line_items
object[]

Line items making up the invoice.

additional_sales_taxes
object[]

List of additional sales tax obligations on the invoice outside individual line items.

additional_discount
integer

Additional discount applied to the whole invoice in addition to individual line items.

tips
integer

Tips included by the buyer, in cents.

tips_account
Account ID · object

The Account Identifier for a tips account.

tags
object[]
memo
string | null

Memo for any text you would like to associate with the invoice (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB.

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the invoice. Can be used to filter when listing invoices.

Response

200 - application/json

Invoice updated successfully.

data
object
required